/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import java.util.Collection;
import java.util.List;

/**
 *
 * @author Administrador
 */
public interface GenericDAO<T, ID> {

	public List<T> obtenerTodos();

	public T obtenerID(ID id);

	public T suscribir(T entidad);

	public T actualizacion(T entidad);

	public void borrar(T entidad);

	public Long count(String campo, Object o);

	public void suscribirTodos(Collection<T> entidades);
}
